<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
    <title>Node.js Assignment</title>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.6/css/bootstrap.min.css">
    <style>
        body {
            padding-top: 20px;
            padding-bottom: 20px;
        }

        .jumbotron {
            margin-top: 10px;
        }

        table {
            background-color: transparent;
            text-align: center;
            margin: auto;
        }

        table td {
            padding: 12px;
            border: 1px solid #ccc;
        }

        table th {
            text-align: center;
        }
    </style>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
</head>

<body>
    <div class="container">
        <div class="header clearfix">
            <nav>
                <ul class="nav nav-pills pull-right">
                    <li role="presentation">
                        <a href="/">Home</a>
                    </li>
                    <li role="presentation"><a href="/assignment">Assignment</a></li>
                </ul>
                <h3 class="text-muted">Assignment</h3>
            </nav>
        </div>
        <script>
            var nextinc = 0;
            $(function () {
                var requestLog = function () {
                    fetch("http://localhost:3000/product/getLogs?attr=" + nextinc)
                        .then(function (response) {
                            return response.json();
                        })
                        .then(function (result) {
                            nextinc += result.length;
                            var text = "";
                            $("#myAlert").remove();
                            var ctnr = document.getElementById('logs');
                            for (var i = 0; i < result.length; i++) {
                                text = text + "<tr><td>" + result[i].url + "</td><td>" + result[i].ip + "</td><td>" + result[i].msg + "</td><td>" + result[i].apiDate + "</td></tr>";
                            }
                            ctnr.innerHTML = text;
                        })
                        .catch(function (error) {
                            console.log('There has been a problem with your fetch operation: ', error.message);
                        });
                }


                setInterval(function () {
                    requestLog();
                }, 5000);
                requestLog();
            });
        </script>
        <div class="row">
            <div class="alert alert-success alert-dismissible" id="myAlert">
                <strong>Please Wait! </strong>Operation is in Progress.
            </div>
            <div class="col-lg-12">
                <table class="table table-striped">
                    <thead>
                        <tr>
                            <th>API</th>
                            <th>IP Address</th>
                            <th>Message</th>
                            <th>Datetime</th>
                        </tr>
                    </thead>
                    <tbody id="logs"></tbody>
                </table>
            </div>
        </div>
        <br>
        <footer class="footer">
            <p>&copy; NodeJS Developer</p>
        </footer>
    </div>
</body>

</html>